URL
The API follows REST conventions. Perform an HTTPS GET to the URL with the format in which you’d like to receive data.
The following response formats are supported, where CUID-33 is the call record id.
Authentication
The API uses OAuth to validate access. Pass the OAuth Token in the Authorization header of the request. The OAuth Token is required.
OAuth Tokens may be generated from the Manage API Credentials page.
Query Parameters
The API takes the following optional query parameters:
Response
Endpoint:
https://mynetwork.invoca.net/call/transcript/<call_record_id>?transcript_format=<format>
Get a transcript of the call for just the caller.
Examples
Get transcript for the given call record CUID-33 with just the caller included
Endpoint:
https://mynetwork.invoca.net/call/transcript/CUID-33?transcript_format=caller
Format: application/json
Response Code: 200
Response Body:
Get a transcript of the call for just the agent.
Examples
Get transcript for the given call record CUID-33 with just the agent included
Endpoint:
https://mynetwork.invoca.net/call/transcript/CUID-33?transcript_format=agent
Format: application/json
Response Code: 200
Response Body:
Get a transcript of the call as a block.
Examples
Get transcript for the given call record CUID-33 with both agent and caller included in a single block for each.
Endpoint:
https://mynetwork.invoca.net/call/transcript/CUID-33?transcript_format=caller_agent_block
Format: application/json
Response Code: 200
Response Body:
Get a transcript of the call as a conversation.
Examples
Get transcript for the given call record CUID-33 with both agent and caller included in the corresponding conversation order.
Endpoint:
https://mynetwork.invoca.net/call/transcript/CUID-33?transcript_format=caller_agent_conversation
Format: application/json
Response Code: 200
Response Body:
Last modified on August 18, 2026